
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: whoami-configmap
data:
  key01: val01
  key02: val02
  key03: |
    val03.line01
    val03.line02

---
kind: Pod
apiVersion: v1
metadata:
  name: whoami
spec:
  containers:
  - name: whoami-container
    image: aemc/whoami
    env:
    - name: "KEY01"
      valueFrom:
        configMapKeyRef:
          name: whoami-configmap
          key: key01
    volumeMounts:
    - name: config-volume
      mountPath: /etc/myconfig
  volumes:
  - name: config-volume
    configMap:
      name: whoami-configmap
